This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 868908 - Review Request: rubygem-gem-nice-install - A RubyGems plugin that improves gem installation user experience
Review Request: rubygem-gem-nice-install - A RubyGems plugin that improves ge...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 08:43 EDT by Josef Stribny
Modified: 2016-01-04 00:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:31:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2012-10-22 08:43:25 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-gem-nice-install-0.1.0-1.fc17.src.rpm
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-gem-nice-install.spec

Description: A RubyGems plugin that improves gem installation user experience. If binary extension build fails, it tries to install its development dependencies.

Fedora Account System Username: jstribny
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4614858

This is my second package review request for Fedora, so I need a sponsor. 
I wasn't sure about setting LANG env variable before `gem install` in the spec file, but it wouldn't work otherwise. I submitted this issue [1] to upstream.

[1] https://github.com/voxik/gem-nice-install/issues/4
Comment 1 Vít Ondruch 2012-10-23 09:42:06 EDT
I'll take this for review and I can sponsor you as well.
Comment 2 Vít Ondruch 2012-10-24 04:39:29 EDT
* Source does not match upstream
  - According to review guidelines [1] "MUST: The sources used to build the
    package must match the upstream source, as provided in the spec URL."

    $ sha256sum gem-nice-install-0.1.0.gem*
      427f3eab95874a839c8514910d4a40a49e8b2102437621cfebbad03a9f43748a \
        gem-nice-install-0.1.0.gem
      1fa0d05cc62d42981be5bc3b183d68c2b4c82347b5f6341af6a31b117e043345 \
        gem-nice-install-0.1.0.gem.orig
    where the gem-nice-install-0.1.0.gem.orig is the gem I fetched from upstream

* Remove the LANG=en_US.utf8
  - It is not needed according to my tests and the package builds just fine
    without it in Koji:

    http://koji.fedoraproject.org/koji/taskinfo?taskID=4620593

Otherwise the package looks good.

[1] http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 3 Josef Stribny 2012-10-25 04:16:01 EDT
Hi,

it seems only RubyGems 1.8.0 is causing the trouble. After the upgrade to 1.8.24 `LANG=en_US.utf8` is not needed anymore.

Updated SPEC & SRPM:

SPEC: http://data-strzibny.rhcloud.com/rubygem-gem-nice-install.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-gem-nice-install-0.1.0-2.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4624716
Comment 4 Vít Ondruch 2012-10-25 06:11:19 EDT
I have no other comments. The package looks good => APPROVED. Feel free to import it into Fedora once you are sponsored.
Comment 5 Josef Stribny 2012-10-29 05:14:09 EDT
New Package SCM Request
=======================
Package Name: rubygem-gem-nice-install
Short Description: A RubyGems plugin that improves gem installation user experience
Owners: jstribny vondruch bkabrda
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2012-10-29 09:13:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-29 11:50:39 EDT
rubygem-gem-nice-install-0.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-gem-nice-install-0.2.0-1.fc18
Comment 8 Fedora Update System 2012-10-29 12:03:38 EDT
rubygem-gem-nice-install-0.2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-gem-nice-install-0.2.0-1.fc17
Comment 9 Fedora Update System 2012-10-29 14:11:39 EDT
rubygem-gem-nice-install-0.2.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-11-23 02:31:31 EST
rubygem-gem-nice-install-0.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.